net.sf.jasperreports.components.barcode4j

## Class CompiledBarcodeFactory

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.UniformBarcodeVisitor
  - - net.sf.jasperreports.components.barcode4j.CompiledBarcodeFactory

- All Implemented Interfaces:
    BarcodeVisitor

      public class CompiledBarcodeFactory
      extends UniformBarcodeVisitor

  Version:
    $Id: CompiledBarcodeFactory.java 6102 2013-04-23 15:15:43Z shertage $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompiledBarcodeFactory(JRBaseObjectFactory baseFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createCompiledBarcode(BarcodeComponent barcode)`
    `BarcodeComponent` | `toCompiledComponent(BarcodeComponent barcode)`
    `protected void` | `visitBarcode(BarcodeComponent barcode)`

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.UniformBarcodeVisitor

      `visitCodabar, visitCode128, visitCode39, visitDataMatrix, visitEAN13, visitEAN8, visitEANCode128, visitInterleaved2Of5, visitPDF417, visitPostnet, visitRoyalMailCustomer, visitUPCA, visitUPCE, visitUSPSIntelligentMail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompiledBarcodeFactory

          public CompiledBarcodeFactory(JRBaseObjectFactory baseFactory)

  - ### Method Detail

    - #### toCompiledComponent

          public BarcodeComponent toCompiledComponent(BarcodeComponent barcode)

    - #### createCompiledBarcode

          protected void createCompiledBarcode(BarcodeComponent barcode)

    - #### visitBarcode

          protected void visitBarcode(BarcodeComponent barcode)

      Specified by:
        `visitBarcode` in class `UniformBarcodeVisitor`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com